OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.MapBufferRange

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBMapBufferRange :: MonadIO m => m Bool
- gl_ARB_map_buffer_range :: Bool
- pattern GL_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield
- pattern GL_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield
- pattern GL_MAP_INVALIDATE_RANGE_BIT :: GLbitfield
- pattern GL_MAP_READ_BIT :: GLbitfield
- pattern GL_MAP_UNSYNCHRONIZED_BIT :: GLbitfield
- pattern GL_MAP_WRITE_BIT :: GLbitfield
- glFlushMappedBufferRange :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> m ()
- glMapBufferRange :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> GLbitfield -> m (Ptr a)

# Extension Support

glGetARBMapBufferRange :: MonadIO m => m Bool Source #

Is the ARB_map_buffer_range extension supported?

gl_ARB_map_buffer_range :: Bool Source #

Is the ARB_map_buffer_range extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBMapBufferRange` in those cases instead.

# Enums

pattern GL_MAP_FLUSH_EXPLICIT_BIT :: GLbitfield Source #

pattern GL_MAP_INVALIDATE_BUFFER_BIT :: GLbitfield Source #

pattern GL_MAP_INVALIDATE_RANGE_BIT :: GLbitfield Source #

pattern GL_MAP_READ_BIT :: GLbitfield Source #

pattern GL_MAP_UNSYNCHRONIZED_BIT :: GLbitfield Source #

pattern GL_MAP_WRITE_BIT :: GLbitfield Source #

# Functions

glFlushMappedBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glMapBufferRange Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type BufferTargetARB.
-> GLintptr | `offset` of type `BufferOffset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> GLbitfield | `access` of type MapBufferAccessMask.
-> m (Ptr a) |

Manual pages for OpenGL 3.x or OpenGL 4.x.